gem2deb (2.2.8) unstable; urgency=medium

  * debian/tests/reproducible-extensions: prevent malformed Uploaders: field
    (Closes: #1125983)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 Jan 2026 07:36:36 -0300

gem2deb (2.2.7) unstable; urgency=medium

  * Revert "dh-make-ruby: drop unecessary code from debian/rules template"
    This removed non-obsolete variables that are actually wanted in generated
    debian/rules files.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 15 Jan 2026 19:44:21 -0300

gem2deb (2.2.6) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby: Standards-Version: get latest debian-policy version
  * Demote devscripts from Depends: to Recommends:
  * autopkgtest: reproducible-extensions: use debrepro instead of reprotest
  * activate.bash: use absolute location of source
  * dh-make-ruby: generate build dependency on current gem2deb version
    (Closes: #1036126)
  * Gem2Deb::Source: handle debian/control according to deb822
    (Closes: #1064462)
  * debian/copyright: update copyright statement (Closes: #971553)
  * debian/rules: move test targets under override_dh_auto_test
  * Build-Depends: mark everything other than debhelper as <!nocheck>
    (Closes: Bug#1095592)
  * Depends: bump debhelper-compat to (= 13)
  * dh-make-ruby: stop creating .gitattributes
  * Drop debian/.gitattributes

  [ Ananthu C V ]
  * Ignore mentioned tests entirely if DH_RUBY_IGNORE_TESTS is set
    (Closes: #1094649)
  * Remove unused code for handling test failures when DH_RUBY_IGNORE_TESTS is
    set
  * Add question mark to method name end for consistency

  [ Lucas Nussbaum ]
  * debian/salsa-ci.yml: use team-specific include
  * debian/salsa-ci.yml generation: use team-specific include

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 18 Nov 2025 20:46:09 +0100

gem2deb (2.2.5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Remove myself from Uploaders

  [ Antonio Terceiro ]
  * Gem2Deb::Installer: add binary package name to banners for multi-binary
    sources
  * Gem2Deb::GemInstaller: print banner before each ruby version
  * Bump Standards-Version to 4.7.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Nov 2024 17:30:42 -0300

gem2deb (2.2.4) unstable; urgency=medium

  * test: fix module function C implementation (Closes: #1074986)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 03 Jul 2024 12:37:46 -0300

gem2deb (2.2.3) unstable; urgency=medium

  * dh_ruby_fixdepends: extract package name into a variable
  * dh_ruby_fixdepends: workaround presence of libruby3.1t64
    (Closes: #1068589)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 08 Apr 2024 13:45:25 -0300

gem2deb (2.2.2) unstable; urgency=medium

  * bin/*: replace usage of File::exists? with File:exist?
  * Declare compliance with Debian Policy 4.6.2.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 19 Feb 2024 13:33:50 -0300

gem2deb (2.2.1) unstable; urgency=medium

  [ Danilo Egea Gondolfo ]
  * d/t/control: add fakeroot as a dependency of gem2deb test
    (Closes: #1059154)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Dec 2023 08:34:52 -0300

gem2deb (2.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Gem2Deb::YAML: make code backwards compatible with Ruby 2.7
  * Gem2Deb::Source: ensure instance variable is initialized
  * Gem2Deb::TestRunner: allow calling run() more than once
  * Gem2Deb::TestRunner: run all possible checks.
    Instead of stopping at the first check that fails, run all of them until
    the end, and only then exit with the appropriate exit status.
  * gem2deb-test-runner: add shared smoke test for Rails assets packages
  * Gem2Deb::PackageNameMapping: add missing requires
  * Remove assignments to Encoding.default_external
  * Gem2Deb::PackageNameMapping: add missing require statement
  * Gem2Deb::PackageNameMapping: look for gemspecs in all relevant directories.
    Only looking for gemspecs under /usr/share/rubygems-integration/ would
    make it miss architecture-dependent gems which are installed to
    /usr/lib/${arch}/rubygems-integration/.

  [ Lucas Kanashiro ]
  * dh_make_ruby: install doc/*, README* and CONTRIBUTORS* (Closes: #973516)
  * test_runner: do not load rake tasks from rakelib directory

  [ Nicos Gollan ]
  * Fix calls to deprecated `.exists?`methods (Closes: #1052398)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 19 Oct 2023 17:34:35 -0300

gem2deb (2.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh_ruby: ignore XS-Ruby-Versions
  * dh_ruby: print a warning if XS-Ruby-Versions is present
  * metadata: ignore != in dependency specifications
  * gem2deb: fix check for already downloaded .gem files
  * dh-make-ruby, gem2deb: drop support for specifying Ruby versions
    - Command line tools no longer provide a --ruby-versions option
    - Generated debian/control templates no longer include either
      XS-Ruby-Versions: or XB-Ruby-Versions:
  * dh_ruby: drop support for ${ruby:Versions}
    Packages using ${ruby:Versions} will now produce dpkg warnings during
    build, since ${ruby:Versions} is no longer defined.
  * test_helper: set DEBFULLNAME and DEBEMAIL
  * gem2deb/rake/testtask: don't override task options.
    This allows downstream users to set t.options.
  * dh-make-ruby: produce pre-wrapped Depends: field

  [ Helmut Grohne ]
  * Fix cross building to i386 (Closes: #1018217)
  * gem_installer: fix cross building (Closes: #1019397)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Dec 2022 16:06:44 -0300

gem2deb (2.0.3) unstable; urgency=medium

  * Gem2Deb::YAML: fix loading more metadata.yml files.
    I have now tried every metadata.yml in the archive and this should be
    fixed for good.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jul 2022 20:44:54 -0300

gem2deb (2.0.2) unstable; urgency=medium

  * gem installer: exclude doc/* by default
  * run-from-checkout: fix running from other directories
  * Gem2Deb::YAML: don't ignore the filename passed
  * Gem2Deb::YAML: fix loading of gemspecs with aliases

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jul 2022 10:32:28 -0300

gem2deb (2.0.1) unstable; urgency=medium

  * dh-make-ruby: fix loading package names map
  * Bump Standards-Version to 4.6.1; no changes needed
  * dh-make-ruby: bump Standards-Version in template to 4.6.1

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 28 Jul 2022 14:40:44 -0300

gem2deb (2.0) unstable; urgency=medium

  [ Daniel Leidert ]
  * Use github tags instead of releases in watch file template

  [ Antonio Terceiro ]
  * dh_ruby: stop printing "dh_ruby --opt"
  * source_test: replace mocking with temporary directory
  * Gem2Deb::Source: improve reading of debian/control
  * Gem2Deb::Source: detect debhelper compatibility level
  * dh_ruby: build, test and install separately for debhelper compat 14+
  * Add support for cross compilation of Ruby extensinons (Closes: #982887)
  * activate.bash: also set PERL5LIB
  * debian/tests/gem2deb: don't check build dependencies
  * Gem2Deb::Metadata: fix loading medadata.yml with ruby3.1 (Closes: #1015311)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Jul 2022 21:17:01 +0200

gem2deb (1.8) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Gem2Deb::Metadata: handle <= version constraints (Closes: #1000333)
  * Gem2Deb::PackageNameMapping: strip architecture qualifier off package names
    (Closes: #1001215)

  [ Daniel Leidert ]
  * Fix d/copyright template to not repeat '/issues'

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Dec 2021 12:08:12 -0300

gem2deb (1.7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/changelog: add missing entry to the 1.5 release
  * gem2deb-test-runner: remove --check-dependencies-only option
  * Gem2Deb::TestRunner: fix printing of RUBYLIB
  * dh_ruby(1): fix mention of DH_RUBY_GEM_INSTALL_EXCLUDE
  * gem2deb-test-runner: modularize moving files away
  * gem2deb-test-runner: move Gemfile.lock away during the build.
    This used to done only under autopkgtest, but it turns out that having
    Gemfile.lock around when 2 interpreters are supported will usually
    create bogus test failures on the interpreter that runs second, because
    Gemfile.lock will freeze on versions of stuff only available to the
    first interpreter (e.g. the default gems, provided by the interpreter
    packages). (Closes: #998497)
  * gem2deb-test-runner: move away Gemfile.lock in any directories
  * Document version requirement for DH_RUBY_GEM_INSTALL_(INCLUDE|EXCLUDE)

  [ Daniel Leidert ]
  * Fix assignment

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Nov 2021 17:23:21 -0300

gem2deb (1.6) unstable; urgency=medium

  * debian/.gitattributes: add newline at the end
  * dh-make: bump Standards-Version in template to 4.6.0
  * Gem2Deb::GemInstaller: replace whitelist/blacklist with include/exclude
  * Gem2Deb::GemInstaller: remove empty directories inside ext/ as well

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Oct 2021 10:11:35 -0300

gem2deb (1.5) unstable; urgency=medium

  [ Daniel Leidert ]
  * lib/gem2deb/dh_make_ruby.rb, lib/gem2deb/metadata.rb,
    lib/gem2deb/dh_make_ruby/template/debian/copyright: Determine the
    Upstream-Contact field in d/copyright using the email field in the gemspec
    or a github URL.
  * lib/gem2deb/dh_make_ruby/template/debian/watch: Add regex for matching the
    sources on github.
  * lib/gem2deb/dh_make_ruby/template/debian/upstream/metadata: Change fields.
    (Bug-Submit): Point to the URL opening a new issue.
    (Chaneglog): Use the releases page which contains the changelog.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ruby-mocha.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Antonio Terceiro ]
  * metadata: handle epoch in the versions of rails packages (Closes: #792489)
  * gem installer: remove empty plugins/ directory
  * gem2deb-test-runner: drop alternative dependency on ruby-interpreter
  * Bump Standards-Version; no changes needed

  [ Helmut Grohne ]
  * Provide dh-sequence-ruby from gem2deb (Closes: #991099)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 Oct 2021 08:24:40 -0300

gem2deb (1.4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate ruby interpreter dependencies with :any. (Closes: #970470)

  [ Antonio Terceiro ]
  * test_helper: fix code coverage configuration

  [ Lucas Kanashiro ]
  * Do not add extensions to the generated gemspec (Closes: #972702)
  * Add myself to the Uploaders list

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 30 Oct 2020 11:46:14 -0300

gem2deb (1.3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Remove rubysetuprb buildsystem (Closes: #969327)

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * rake test:coverage: run unit tests only
  * test_helper: review code coverage requirements
  * README: update

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 Sep 2020 10:41:39 -0300

gem2deb (1.2.1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Safety net for UTF-8 unfriendly env

  [ Antonio Terceiro ]
  * Gem2Deb::TestRunner: use UTF-8 encoding by default

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 15 Jul 2020 09:46:23 -0300

gem2deb (1.2) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Support dependency checks with multiple binaries (Closes: #950629).

  [ Utkarsh Gupta ]
  * Bump debhelper-compat to 13

  [ Chris Lamb ]
  * Gem2Deb::GemInstaller: delete mkmf.log from extension dir (Closes: #964772)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Jul 2020 15:58:11 -0300

gem2deb (1.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby: don't produce Name and Contact fields in
    debian/upstream/metadata (Closes: #951022)
  * Gem2Deb::GemInstaller: remove executable bit from .rb files
  * dh-make-ruby: drop exception for "ruby" in gem names
  * Replace "Debian Ruby Extras Maintainers" with "Debian Ruby Team"
  * Gem2Deb::GemInstaller: don't install coverage/* and man/*
  * dh-make-ruby: word wrap long description
  * Gem2Deb::Installer: handle shebangs with whitespace
  * Gem2Deb::Metadata: try modified gemspec first.
    If the gemspec does not use git, this should have no effect. For
    gemspecs that do use git, this should fix the issue when builds done on
    system where git is present produce mostly-empty packages.

  [ Lucas Kanashiro ]
  * d/t/reproducible-extensions: add -kernel option to reprotest call

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 20 Apr 2020 10:35:17 -0300

gem2deb (1.0.5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * gem2deb-test-runner: pass absolute directory names in GEM_PATH
  * Gem2Deb::PackageNameMapping: don't hardcode the location of apt-file
  * dh-make-ruby: add option to skip dependency detection
  * tests/reproducible-extensions:
    - disable container-unfriendly variations
    - skip dependency detection in dh-make-ruby (fixes autopkgtest regression)
  * Revert "dh-make-ruby: Add .gitattributes template."
  * dh-make-ruby: write debian/.gitattributes programmatically (Closes: #951430)
  * gem2deb-test-runner: add Breaks: against packages with missing test
    suites, affected by "gem2deb-test-runner: exit 77 under autopkgtest if
    test suite is missing" from 1.0
  * Bump Standards-Version to 4.5.0; no changes needed otherwise

  [ Sebastien Badia ]
  * Set Standards-Version to 4.5.0 in template

  [ Daniel Leidert ]
  * Minor wording update for copyright files

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 17 Feb 2020 20:39:55 -0300

gem2deb (1.0.4) unstable; urgency=medium

  * Gem2Deb::Metadata: drop alternative dependency on ruby-interpreter
  * Build Ruby C extensions reproducibly

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 05 Feb 2020 13:46:53 +0100

gem2deb (1.0.3) unstable; urgency=medium

  * debian/rules: don't duplicate list of files owned by gem2deb-test-runner
  * gem2deb-test-runner: add Breaks:/Replaces: against gem2deb 1.0.1.
    This fixes upgrades from 1.0.1 where a file that was supposed to be
    provided by gem2deb-test-runner was actually included in gem2deb.
  * debian/rules: fix for use with mawk

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Jan 2020 14:27:19 -0300

gem2deb (1.0.2) unstable; urgency=medium

  * autopkgtest: add tests for gem2deb and gem2deb-test-runner
  * gem2deb-test-runner: ship Gem2Deb::PackageNameMapping

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Jan 2020 11:08:05 -0300

gem2deb (1.0.1) unstable; urgency=medium

  * Gem2Deb::Metadata: pass global parameter forward.
    This fixes just building packages without apt-file being instaled.
  * Gem2Deb::PackageNameMapping: fix getting data from installed packages

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Jan 2020 15:28:03 -0300

gem2deb (1.0) unstable; urgency=medium

  [ Daniel Leidert ]
  * dh-make-ruby: Add .gitattributes template.

  [ Antonio Terceiro ]
  * Gem2Deb::Installer; only rewrite shebangs of files that have one
    (Closes: #790331)
  * dh-make-ruby: delete debian/compat
  * Drop build-dependency on lintian
  * gem2deb-test-runner: exit 77 under autopkgtest if test suite is missing
  * dh_ruby(1): drop advice to Build-Depend on ruby when using
    debian/ruby-tests.rake gem2deb-test-runner itself already depends on rake,
    and nowadays even ruby itself does.
  * dh-make-ruby: don't add interpreter dependencies to libraries
  * dh_ruby: add support for a ${ruby:Depends} substvar
  * dh-make-ruby: use ${ruby:Depends} for new packages.
    Also make these new packages build depend on gem2deb >= 1
  * Gem2Deb::GemInstaller: call gem with --no-document instead of --no-rdoc
    --no-rdoc was deprecated and has been removed in ruby 2.7
  * gem2deb: fix use with .gem files not in the current directory
  * test/sample/name_clash_multiple: drop unused sample package
  * test/sample/simpleextension_with_name_clash: drop use case
  * Gem2Deb::DhMakeRuby: fix warning under ruby2.7
  * salsa-ci.yml: run test coverage
  * gem2deb: add -g/--git option.
    Passing -g/--git will make gem2deb import the resulting source package
    into a git repository under the current directory.
  * gem2deb: document -d/--no-check-builddeps
  * gem2deb: --purge: remove all generated files
  * gem2deb: --git: use pristine-tar

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Jan 2020 18:23:18 -0300

gem2deb (0.45) unstable; urgency=medium

  [ Frank Schaefer ]
  * tweak Gem::Ext::*Builder usage for ruby 2.6

  [ Antonio Terceiro ]
  * gem2tgz: always extract tarballs as the current user
  * dh_ruby: drop remaining mention of rubygems usage check
  * dh_ruby: drop remaining mention of rubygems usage check
  * gem2deb-test-runner manpage: remove truncated sentence
  * Gem2Deb::MetaData: rename method
  * Gem2Deb::MetaData: unset gemspec.rubyforge_project
  * tests: drop references to deprecated field rubyforge_project
  * Bump Standards-Version; no changes needed otherwise
  * Set Rules-Requires-Root: no

  [ Joseph Herlant ]
  * Move away the Gemfile.lock during tests to avoid bundler issues.

  [ Utkarsh Gupta ]
  * Update version=3 to 4 in d/watch
  * Use gem_name instead of source_package_name in d/upstream/metadata

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Nov 2019 23:16:19 -0300

gem2deb (0.44) unstable; urgency=medium

  [ Georg Faerber ]
  * bin/gem2deb-test-runner: fix typo

  [ Cédric Boutillier ]
  * Update templates for new packages
    - Set debhelper compat level to 12
    - Add salsa-ci config file
    - Set Standards-Version to 4.4.0 in template

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml
  * Add d/upstream/metadata in template
  * Bump lib/gem2deb/version.rb
  * Bump Standards-Version to 4.4.0 & debhelper-compat to 12
  * Remove compat from test

  [ Antonio Terceiro ]
  * dh-make-ruby: add `DH_RUBY = --gem-install` by default to debian/rules

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Aug 2019 10:19:43 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gem2deb-test-runner`.
